Subject: Re: Share exception between shared lib and an application...
From: "Gerrit P. Haase" <[email-masked]>
To: Vaillant Etienne <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Mar 2003 23:40:47 +0200

Hallo Vaillant,

Am Sonntag, 30. März 2003 um 22:01 schriebst du:

> Well,

> I use autoconf, automake and libtool...

I did:
$ aclocal
$ libtoolize --force --copy --automake
$ autoheader
$ automake --foreign --add-missing --copy
$ autoconf
$ ./configure
$ make
$ cd src
$ cp exe2.exe .libs
$ cd .libs
$ ./exe.exe
Segmentation fault (core dumped)
$ ./exe2.exe
Invalid Argument

Hmmm.

Now I removed this line from configure.in:
AC_PREREQ(2.13)
and did the same as above, now I see:
$ cd src
$ cp exe2.exe .libs
$ cd .libs
$ ./exe.exe
Invalid Argument
$ ./exe2.exe
Invalid Argument

And there is an additional exe.exe in the src directory,
but I'm not sure what it is good for or where it does came
from?

Seems to work for me.

In general it is a good idea to use libtool-devel on Cygwin
(instead of the (deprecated) libtool-1.4.3) together with the
autoconf-devel and automake-devel packages.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/